
def zip_longest(*args, fillvalue=None):
    """
    Zip equivalent that allows different number of items in input iterables.
    """
    from itertools import zip_longest

    def _is_not_none(value):
        return value is not None

    for result in zip_longest(*args, fillvalue=fillvalue):
        if not all(_is_not_none(item) for item in result):
            return result

    return args

